# Expose outputs from creation of the Kinesis Firehose Stream

output "id" {
  value = aws_kinesis_firehose_delivery_stream.data_stream.id
}

output "arn" {
  value = aws_kinesis_firehose_delivery_stream.data_stream.arn
}

output "name" {
  value = aws_kinesis_firehose_delivery_stream.data_stream.name
}

output "destination_bucket_arn" {
  value = var.destination_bucket_arn
}

output "source_kinesis_arn" {
  value = var.source_kinesis_arn
}

output "firehose-put-records-policy" {
  value = var.enable_iam_policies ? aws_iam_policy.firehose-put-records-policy[0].arn : ""
}